cwlVersion: v1.0
class: CommandLineTool
label: Extract L1000 Chem Pert Signatures Containing the Term Search
doc: Extract Terms from the LINCS L1000 Chem Pert Consensus Sigs Library
baseCommand:
  - /app/cli/pwb.sh
  - ExtractEnrichrTermSearch[LINCS_L1000_Chem_Pert_Consensus_Sigs]
requirements:
  - class: DockerRequirement
    dockerImageId: maayanlab/playbook-partnership:0.73.1
inputs:
  inputs.searchResults:
    label: Enrichr Term Search Results
    doc: Results of an Enrichr Term Search
    type: File
    inputBinding:
      prefix: --inputs.searchResults=
      separate: false
  outputFilename:
    type: string
    default: output.json
    inputBinding:
      prefix: --output=
      separate: false
outputs:
  output:
    label: Enrichr Drug Set
    doc: Set of Drugs
    type: File
    outputBinding:
      glob: $(inputs.outputFilename)
